Bug 15299 - configure no longer works for cross target
Summary: configure no longer works for cross target
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: findutils   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 20:36 UTC by Jimi X
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 20:36:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jimi X 2000-08-03 20:36:17 UTC
there is a test in configure that will cause configure to fail if cross
compiling.
This is just wrong!!

here is the snip from configure

echo "configure:10957: checking whether setvbuf arguments are reversed"
1>&5
if test "${ac_cv_func_setvbuf_reversed+set}" = set; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
    { echo "configure: error: cannot run test program while cross
compiling" 1>&2; exit 1; }
...

Comment 1 Preston Brown 2001-01-31 22:30:42 UTC
we don't test our RPMs for building in a cross-compiled environment; this is a
rather esoteric, non-common situation.


Note You need to log in before you can comment on or make changes to this bug.